package com.foreverwin.mesnac.meapi.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@TableName("WORK_CENTER_MEMBER")
public class WorkCenterMember extends Model<WorkCenterMember> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("WORK_CENTER_BO")
   private String workCenterBo;
   @TableField("WORK_CENTER_OR_RESOURCE_GBO")
   private String workCenterOrResourceGbo;
   @TableField("PRIMARY_WORK_CENTER")
   private String primaryWorkCenter;
   @TableField("SEQUENCE")
   private Long sequence;
   @TableField("DEFAULT_MEMBER")
   private String defaultMember;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getWorkCenterBo() {
      return workCenterBo;
   }

   public void setWorkCenterBo(String workCenterBo) {
      this.workCenterBo = workCenterBo;
   }

   public String getWorkCenterOrResourceGbo() {
      return workCenterOrResourceGbo;
   }

   public void setWorkCenterOrResourceGbo(String workCenterOrResourceGbo) {
      this.workCenterOrResourceGbo = workCenterOrResourceGbo;
   }

   public String getPrimaryWorkCenter() {
      return primaryWorkCenter;
   }

   public void setPrimaryWorkCenter(String primaryWorkCenter) {
      this.primaryWorkCenter = primaryWorkCenter;
   }

   public Long getSequence() {
      return sequence;
   }

   public void setSequence(Long sequence) {
      this.sequence = sequence;
   }

   public String getDefaultMember() {
      return defaultMember;
   }

   public void setDefaultMember(String defaultMember) {
      this.defaultMember = defaultMember;
   }

public static final String HANDLE = "HANDLE";

public static final String WORK_CENTER_BO = "WORK_CENTER_BO";

public static final String WORK_CENTER_OR_RESOURCE_GBO = "WORK_CENTER_OR_RESOURCE_GBO";

public static final String PRIMARY_WORK_CENTER = "PRIMARY_WORK_CENTER";

public static final String SEQUENCE = "SEQUENCE";

public static final String DEFAULT_MEMBER = "DEFAULT_MEMBER";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "WorkCenterMember{" +
         "handle = " + handle +
         ", workCenterBo = " + workCenterBo +
         ", workCenterOrResourceGbo = " + workCenterOrResourceGbo +
         ", primaryWorkCenter = " + primaryWorkCenter +
         ", sequence = " + sequence +
         ", defaultMember = " + defaultMember +
         "}";
   }
}